Bug 55647 - Fails to reset count of bytes transferred
Summary: Fails to reset count of bytes transferred
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.1
Hardware: i586
OS: Linux
medium
low
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-04 00:20 UTC by Robert Nichols
Modified: 2015-01-07 23:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-03 19:55:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Nichols 2001-11-04 00:20:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-12 i586; Nav)

Description of problem:
When automatically retrieving a source package, up2date fails to reset the
count of bytes already transferred after the non-src package has been
downloaded. This results in status reports of "1273 of 525 k transferred,"
absurd calculations of transfer rate and estimated time to completion, and
assert() failures when the download percentage exceeds 100%. The essential
functions do get performed correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure up2date to automatically download source packages.
2.Update any package for which a corresponding SRPM will be downloaded.
3.
	

Additional info:

Comment 1 Adrian Likins 2002-03-26 23:58:03 UTC
This should be fixed in current versions (2.7.11 or higher)




Note You need to log in before you can comment on or make changes to this bug.